Subject: 24.2; [FEATURE REQUEST] Make :annotation-function more flexible

From: Leo <[email-masked]>
Date: Sat, 20 Oct 2012 16:26:00 +0800

In a modern decent IDE, completion annotation is a great help in finding
the right completion candidate especially when the collection is large.
See the attached screenshot, it uses color and letter to help users
identify the type of completion they are looking for. Emacs is rather
limited in this regard. It seems something can be achieved by allowing
:annotation-function to return the WHOLE thing to be displayed in the
*Completions* buffer.

Leo